[gtksourceview] Fix make distcheck



commit f13b607840d1336c67ea73c1a408755108ace0c3
Author: Garrett Regier <alias301 gmail com>
Date:   Wed May 19 23:39:47 2010 -0700

    Fix make distcheck

 data/Makefile.am                      |    2 ++
 data/glade/Makefile.am                |    4 ++--
 data/language-specs/check-language.sh |   20 ++++++++------------
 data/styles/Makefile.am               |    4 ++--
 data/styles/check-style.sh            |   14 +++++++-------
 5 files changed, 21 insertions(+), 23 deletions(-)
---
diff --git a/data/Makefile.am b/data/Makefile.am
index cc87798..d48ae4a 100644
--- a/data/Makefile.am
+++ b/data/Makefile.am
@@ -3,3 +3,5 @@ SUBDIRS = language-specs styles
 if GLADE_CATALOG
 SUBDIRS += glade
 endif
+
+-include $(top_srcdir)/git.mk
diff --git a/data/glade/Makefile.am b/data/glade/Makefile.am
index f2a434f..b88b587 100644
--- a/data/glade/Makefile.am
+++ b/data/glade/Makefile.am
@@ -3,12 +3,12 @@ catalogue_in_files = gtksourceview.xml.in
 catalogue_DATA = $(catalogue_in_files:.xml.in=.xml)
 
 EXTRA_DIST = \
-	$(catalogue_DATA)
+	$(catalogue_in_files)
 
 validate: $(catalogue_DATA)
 	xmllint --dtdvalid $(GLADE_CATALOGUE_DIR)/glade-catalog.dtd --noout $<
 
-MAINTAINERCLEANFILES = $(catalogue_DATA)
+CLEANFILES = $(catalogue_DATA)
 
 @INTLTOOL_XML_NOMERGE_RULE@
 
diff --git a/data/language-specs/check-language.sh b/data/language-specs/check-language.sh
index a7f5889..b2b5d15 100755
--- a/data/language-specs/check-language.sh
+++ b/data/language-specs/check-language.sh
@@ -1,17 +1,8 @@
 #!/bin/sh
-# "./check.sh files..." will validate files given on command line.
-# "./check.sh" without arguments will validate all language files
+# "./check-language.sh files..." will validate files given on command line.
+# "./check-language.sh" without arguments will validate all language files
 # in the source directory
 
-check_file() {
-  case $1 in
-  testv1.lang) ;; # skip test file for old format
-  *)
-    xmllint --relaxng language2.rng --noout $1 || exit 1
-    ;;
-  esac
-}
-
 files=""
 
 if [ $1 ]; then
@@ -32,5 +23,10 @@ else
 fi
 
 for file in $files; do
-  check_file $file
+  case $file in
+  testv1.lang) ;; # skip test file for old format
+  *)
+    xmllint --relaxng language2.rng --noout $file || exit 1
+    ;;
+  esac
 done
diff --git a/data/styles/Makefile.am b/data/styles/Makefile.am
index 2e0043c..7ad3955 100644
--- a/data/styles/Makefile.am
+++ b/data/styles/Makefile.am
@@ -8,8 +8,8 @@ STYLES =		\
 	tango.xml
 
 stylesdir = $(datadir)/gtksourceview-2.0/styles
-styles_DATA = $(STYLES) styles.rng
+styles_DATA = $(STYLES) styles.rng check-style.sh
 
-EXTRA_DIST = $(styles_DATA) check-style.sh
+EXTRA_DIST = $(styles_DATA)
 
 -include $(top_srcdir)/git.mk
diff --git a/data/styles/check-style.sh b/data/styles/check-style.sh
index 9ff8e71..3902279 100755
--- a/data/styles/check-style.sh
+++ b/data/styles/check-style.sh
@@ -1,20 +1,20 @@
 #!/bin/sh
-# "./check.sh files..." will validate files given on command line.
-# "./check.sh" without arguments will validate all style files
+# "./check-style.sh files..." will validate files given on command line.
+# "./check-style.sh" without arguments will validate all style files
 # in the source directory
 
-check_file() {
-  xmllint --relaxng styles.rng --noout $1 || exit 1
-}
-
 files=""
 
 if [ $1 ]; then
   files=$@
 else
+  if [ "$srcdir" ]; then
+    cd $srcdir
+  fi
+
   files=*.xml
 fi
 
 for file in $files; do
-  check_file $file
+  xmllint --relaxng styles.rng --noout $file || exit 1
 done



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]